CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  What's the CVSS score of your company?
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2019-20044

In Zsh before 5.8, attackers able to execute commands can regain privileges dropped by the --no-PRIVILEGED option. Zsh fails to overwrite the saved uid, so the original privileges can be restored by executing MODULE_PATH=/dir/with/module zmodload with a module that calls setuid().
Publish Date : 2020-02-24 Last Update Date : 2021-09-16
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.2
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Execute CodeGain privileges
CWE ID 273

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2020:0853: zsh security update (Important) oval:com.redhat.rhsa:def:20200853 unix
RHSA-2020:0892: zsh security update (Important) oval:com.redhat.rhsa:def:20200892 unix
RHSA-2020:0903: zsh security update (Important) oval:com.redhat.rhsa:def:20200903 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2019-20044

# Product Type Vendor Product Version Update Edition Language
1 OS Apple Ipad Os * * * * Version Details Vulnerabilities
2 OS Apple Iphone Os * * * * Version Details Vulnerabilities
3 OS Apple Mac Os X * * * * Version Details Vulnerabilities
4 OS Apple Mac Os X 10.13.6 Security Update 2020-001 * * Version Details Vulnerabilities
5 OS Apple Mac Os X 10.13.6 Security Update 2019-003 * * Version Details Vulnerabilities
6 OS Apple Mac Os X 10.13.6 - * * Version Details Vulnerabilities
7 OS Apple Mac Os X 10.13.6 Security Update 2020-002 * * Version Details Vulnerabilities
8 OS Apple Mac Os X 10.13.6 Security Update 2019-004 * * Version Details Vulnerabilities
9 OS Apple Mac Os X 10.13.6 Security Update 2018-002 * * Version Details Vulnerabilities
10 OS Apple Mac Os X 10.13.6 Security Update 2019-005 * * Version Details Vulnerabilities
11 OS Apple Mac Os X 10.13.6 Security Update 2018-003 * * Version Details Vulnerabilities
12 OS Apple Mac Os X 10.13.6 Security Update 2019-006 * * Version Details Vulnerabilities
13 OS Apple Mac Os X 10.13.6 Security Update 2019-001 * * Version Details Vulnerabilities
14 OS Apple Mac Os X 10.13.6 Security Update 2019-007 * * Version Details Vulnerabilities
15 OS Apple Mac Os X 10.13.6 Security Update 2019-002 * * Version Details Vulnerabilities
16 OS Apple Mac Os X 10.14.6 Security Update 2019-004 * * Version Details Vulnerabilities
17 OS Apple Mac Os X 10.14.6 Security Update 2019-005 * * Version Details Vulnerabilities
18 OS Apple Mac Os X 10.14.6 Security Update 2019-006 * * Version Details Vulnerabilities
19 OS Apple Mac Os X 10.14.6 - * * Version Details Vulnerabilities
20 OS Apple Mac Os X 10.14.6 Security Update 2019-007 * * Version Details Vulnerabilities
21 OS Apple Mac Os X 10.14.6 Security Update 2019-001 * * Version Details Vulnerabilities
22 OS Apple Mac Os X 10.14.6 Security Update 2020-001 * * Version Details Vulnerabilities
23 OS Apple Mac Os X 10.14.6 Security Update 2019-002 * * Version Details Vulnerabilities
24 OS Apple Mac Os X 10.14.6 Security Update 2020-002 * * Version Details Vulnerabilities
25 OS Apple Tvos * * * * Version Details Vulnerabilities
26 OS Apple Watchos * * * * Version Details Vulnerabilities
27 OS Debian Debian Linux 8.0 * * * Version Details Vulnerabilities
28 OS Debian Debian Linux 9.0 * * * Version Details Vulnerabilities
29 OS Fedoraproject Fedora 30 * * * Version Details Vulnerabilities
30 OS Fedoraproject Fedora 31 * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Apple Ipad Os 1
Apple Iphone Os 1
Apple Mac Os X 22
Apple Tvos 1
Apple Watchos 1
Debian Debian Linux 2
Fedoraproject Fedora 2

- References For CVE-2019-20044

https://www.zsh.org/mla/zsh-announce/141
http://seclists.org/fulldisclosure/2020/May/49
FULLDISC 20200529 APPLE-SA-2020-05-26-1 iOS 13.5 and iPadOS 13.5
http://seclists.org/fulldisclosure/2020/May/59
FULLDISC 20200529 APPLE-SA-2020-05-26-4 tvOS 13.4.5
http://seclists.org/fulldisclosure/2020/May/55
FULLDISC 20200529 APPLE-SA-2020-05-26-5 watchOS 6.2.5
http://seclists.org/fulldisclosure/2020/May/53
FULLDISC 20200529 APPLE-SA-2020-05-26-3 macOS Catalina 10.15.5, Security Update 2020-003 Mojave, Security Update 2020-003 High Sierra
https://support.apple.com/HT211168 CONFIRM
https://support.apple.com/HT211170 CONFIRM
https://support.apple.com/HT211171 CONFIRM
https://support.apple.com/HT211175 CONFIRM
https://lists.debian.org/debian-lts-announce/2020/12/msg00000.html
MLIST [debian-lts-announce] 20201201 [SECURITY] [DLA 2470-1] zsh security update
https://support.apple.com/kb/HT211171 CONFIRM
https://support.apple.com/kb/HT211168 CONFIRM
https://support.apple.com/kb/HT211170 CONFIRM
https://support.apple.com/kb/HT211175 CONFIRM
https://security.gentoo.org/glsa/202003-55
GENTOO GLSA-202003-55
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/PN5V7MPHRRP7QNHOEK56S7QGRU53WUN6/
FEDORA FEDORA-2020-9009363f0f
http://zsh.sourceforge.net/releases.html
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/FP64FFIZI2CKQOEAOI5A72PVQULE7ZZC/
FEDORA FEDORA-2020-3f38f3e517
https://github.com/XMB5/zsh-privileged-upgrade
https://lists.debian.org/debian-lts-announce/2020/03/msg00004.html
MLIST [debian-lts-announce] 20200302 [SECURITY] [DLA 2117-1] zsh security update

- Vulnerability Conditions

Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0

- Metasploit Modules Related To CVE-2019-20044

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.